Subject: Re: bug#63459: [PATCH] doc: Rewrite the branching strategy.

From: Christopher Baines <[email-masked]>
Date: Wed, 31 May 2023 10:46:33 +0100

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello,
>>
>> Thanks for this initiative!
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> +order with those involved, you can track this by updating which issues
>>> +block which other issues. Therefore, to know which branch is at the
>>> +front of the queue, look for the issue which isn't blocked by any other
>>> +branch merges.
>>> +
>>> +Once a branch is at the front of the queue, wait until sufficient time
>>> +has passed for the build farms to have processed the changes, and for
>>> +the necessary testing to have happened.
>>
>> This is a bit technical.  How can I know “which branch is at the front
>> of the queue”?  Even as a seasoned Debbugs users, I’m not sure what I’m
>> supposed to do here.  Do you think we could provide ready to use
>> commands (debbugs.el or ‘mumi’) or at least a sequence of steps to
>> follow?
>
> So, I think there's two technical hurdles to overcome here. The first is
> identifying the issues for merging branches, maybe for that we can set
> out a format for the title of the bug, but I'm very open to
> suggestions. Any way of identifying the open issues should be usable
> through debbugs.el and mumi.
>
> The second hurdle is the queuing behaviour, which I think the blocking
> behaviour is a natural fit for. Maybe the tooling is lacking but I think
> that can be addressed.
>
> I want the qa-frontpage to display the queue of branches (and issues) in
> a clear way, as well as providing links to make changes (as it does for
> marking issues as moreinfo).

I've sent a v2 now which makes more changes, most importantly it pulls
the content out from the "Submitting Patches" section to it's own
section, and also moves content from the Commit Policy in and references
it.

I've also made some progress with the qa-frontpage, it now shows a list
of branches with the corresponding issues on the homepage.